Packages - Packaging Request #1109

[phoronix-test-suite] add it back to community, deblobbed.
2016-09-26 08:49 PM - GNUtoo

Status: fixed % Done: 0%
Priority: wish

Assignee: GNUtoo

Category:

Description

Phoronix-test-suite is in arch:
https://www.archlinux.org/packages/community/any/phoronix-test-suite/

It was removed from parabola 4 years ago:
https://labs.parabola.nu/issues/66

But now Trisquel does have it:
http:/packages.trisquel.info/belenos/phoronix-test-suite

So maybe trisquel patches (if any) could be adapted.

Denis.

Related issues:
Related to Packages - Freedom Issue #66: phoronix-test-suite recommends nonfr... fixed 2012-04-04

History

#1 - 2016-09-27 02:37 PM - Anonymous

- Assignee set to Anonymous

#2 - 2016-12-26 04:30 PM - Anonymous

- Priority changed from bug to wish

#3 - 2017-04-18 07:29 PM - Anonymous

- Assignee deleted (Anonymous)

#4 - 2017-04-20 12:01 AM - isacdaavid

- Assignee set to isacdaavid

#5 - 2017-04-20 12:07 AM - isacdaavid
- Subject changed from [phoronix test suite] add it back to community, deblobbed. to [phoronix-test-suite] add it back to community, deblobbed.

we need to look more closely into the package before making any change, because Trisquel (Debian to be precise) doesn't seem to be adding any
particularly relevant patches. sadly, bug #66 didn't specify what nonfree software was being recommended or where to look for it, and the attached
log file that could have included useful info is gone.

#6 - 2017-04-20 12:09 AM - isacdaavid

- Related to Freedom Issue #66: phoronix-test-suite recommends nonfree software added

#7 - 2017-09-14 02:20 PM - GNUtoo

I've started to look into it, some of the tests it seems to depend on proprietary software.

Here in the list we can see that it proposes many non-free games benchmarks.

$ ./phoronix-test-suite list-available-tests

Phoronix Test Suite v7.4.0m3
Available Tests
pts/civbe Civilization: Beyond Earth Graphics
pts/civilization-vi Civilization VI Graphics
fooo]

pts/coh2 Company of Heroes 2 Graphics
fooo]

pts/cstrike Counter-Strike Source Graphics
pts/cuda-mini-nbody CUDA Mini-Nbody Graphics
fooo]

pts/deus-exmd Deus Ex: Mankind Divided Graphics
pts/dirt-rally DiRT Rally Graphics
pts/dirt-showdown DiRT Showdown Graphics
pts/doom3 Doom 3 Graphics
pts/dota2 Dota 2 Graphics
pts/dow3 Dawn of War III Graphics
fooo]

pts/hitman HITMAN Graphics
pts/hl2lostcoast Half-Life 2 - Lost Coast Graphics
fooo]

pts/madmax Mad Max Graphics
fooo]

pts/metro2033-redux Metro 2033 Redux Graphics
pts/metroll-redux — Metro: Last Light Redux Graphics
foool

Such tests could simply be removed.

However | wonder how to handle the case of the Linux kernel:

pts/build-linux-kernel - Timed Linux Kernel Compilation Processor

If there is any non-free firmware, could they count as non-functional data as they are never used and probably not even used within the compilation?
| should probably also check how it is done in Trisquel, because if it promotes non-free games there, Trisquel has an issue too.

Background on why | deeply care about this package:

Nowadays it is possible to run 100% free software on some computer such as:
- Libreboot compatible computers

- Some hardware supported by Parabola for ARM and probably guix too

Many computers also come pretty close to be able to do that.

Now the performances of such computers varies a lot, and it would be very useful for people to be able to understand if this is affect their use case of
computers or not, and which one they should pick.

Denis.

#8 - 2019-02-27 08:57 PM - GNUtoo

- Assignee changed from isacdaavid to GNUtoo

#9 - 2020-06-12 06:19 PM - GNUtoo

- Status changed from open to fixed

There is now a phoronix-test-suite in the repositories.

It contains few tests though and the patch is a bit hackish due to the fact that I'm not used to php.
